DELETEBookings

Cancel Booking

/api/v1/bookings/{bookingNumber}

Cancel an existing booking number. All booking rows under the same booking number are marked as canceled and internal resource stock is restored in the same transaction.

Authentication Required

Include Bearer token in Authorization header: Authorization: Bearer YOUR_TOKEN

Path Parameters

NameTypeRequiredDescription
bookingNumberstringYesUnique booking number identifier to cancel

Response

Success Response Example:

{
  "requestStatus": {
    "success": true,
    "message": "Booking #PC2236PAQ has been canceled"
  }
}

Error Response

Error Example:

{
  "success": false,
  "error": {
    "code": "NOT_FOUND",
    "message": "No bookings found for the given booking number"
  }
}

Available Errors

HTTP StatusCodeMeaning
401UNAUTHORIZEDInvalid or missing authentication token
403FORBIDDENPartner and Booking do not match
404NOT_FOUNDNo bookings found for the given booking number
500INTERNAL_SERVER_ERRORFailed to cancel bookings